SUSE Security Update: Security update for qemu
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:1151-1
Rating:             moderate
References:         #1181361 #1187529 #1192463 #1192525 #1196737 
                    
Cross-References:   CVE-2021-20196 CVE-2021-3930
CVSS scores:
                    CVE-2021-20196 (NVD) : 6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H
                    CVE-2021-20196 (SUSE): 3.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L
                    CVE-2021-3930 (NVD) : 6.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:H
                    CVE-2021-3930 (SUSE): 3.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L

Affected Products:
                    SUSE Linux Enterprise Server 12-SP5
______________________________________________________________________________

   An update that solves two vulnerabilities and has three
   fixes is now available.

Description:

   This update for qemu fixes the following issues:

   - CVE-2021-20196: Fixed a denial of service in the floppy disk emulator
     (bsc#1181361).
   - CVE-2021-3930: Fixed a potential denial of service in the emulated SCSI
     device (bsc#1192525).

   Non-security fixes:

   - Fixed a kernel data corruption via a long kernel boot cmdline
     (bsc#1196737).


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Server 12-SP5:

      zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-1151=1



Package List:

   - SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):

      qemu-3.1.1.1-63.4
      qemu-audio-alsa-3.1.1.1-63.4
      qemu-audio-alsa-debuginfo-3.1.1.1-63.4
      qemu-audio-oss-3.1.1.1-63.4
      qemu-audio-oss-debuginfo-3.1.1.1-63.4
      qemu-audio-pa-3.1.1.1-63.4
      qemu-audio-pa-debuginfo-3.1.1.1-63.4
      qemu-audio-sdl-3.1.1.1-63.4
      qemu-audio-sdl-debuginfo-3.1.1.1-63.4
      qemu-block-curl-3.1.1.1-63.4
      qemu-block-curl-debuginfo-3.1.1.1-63.4
      qemu-block-iscsi-3.1.1.1-63.4
      qemu-block-iscsi-debuginfo-3.1.1.1-63.4
      qemu-block-ssh-3.1.1.1-63.4
      qemu-block-ssh-debuginfo-3.1.1.1-63.4
      qemu-debugsource-3.1.1.1-63.4
      qemu-guest-agent-3.1.1.1-63.4
      qemu-guest-agent-debuginfo-3.1.1.1-63.4
      qemu-lang-3.1.1.1-63.4
      qemu-tools-3.1.1.1-63.4
      qemu-tools-debuginfo-3.1.1.1-63.4
      qemu-ui-curses-3.1.1.1-63.4
      qemu-ui-curses-debuginfo-3.1.1.1-63.4
      qemu-ui-gtk-3.1.1.1-63.4
      qemu-ui-gtk-debuginfo-3.1.1.1-63.4
      qemu-ui-sdl-3.1.1.1-63.4
      qemu-ui-sdl-debuginfo-3.1.1.1-63.4

   - SUSE Linux Enterprise Server 12-SP5 (aarch64 x86_64):

      qemu-block-rbd-3.1.1.1-63.4
      qemu-block-rbd-debuginfo-3.1.1.1-63.4

   - SUSE Linux Enterprise Server 12-SP5 (s390x x86_64):

      qemu-kvm-3.1.1.1-63.4

   - SUSE Linux Enterprise Server 12-SP5 (aarch64):

      qemu-arm-3.1.1.1-63.4
      qemu-arm-debuginfo-3.1.1.1-63.4

   - SUSE Linux Enterprise Server 12-SP5 (ppc64le):

      qemu-ppc-3.1.1.1-63.4
      qemu-ppc-debuginfo-3.1.1.1-63.4

   - SUSE Linux Enterprise Server 12-SP5 (noarch):

      qemu-ipxe-1.0.0+-63.4
      qemu-seabios-1.12.0_0_ga698c89-63.4
      qemu-sgabios-8-63.4
      qemu-vgabios-1.12.0_0_ga698c89-63.4

   - SUSE Linux Enterprise Server 12-SP5 (x86_64):

      qemu-x86-3.1.1.1-63.4

   - SUSE Linux Enterprise Server 12-SP5 (s390x):

      qemu-s390-3.1.1.1-63.4
      qemu-s390-debuginfo-3.1.1.1-63.4


References:

   https://www.suse.com/security/cve/CVE-2021-20196.html
   https://www.suse.com/security/cve/CVE-2021-3930.html
   https://bugzilla.suse.com/1181361
   https://bugzilla.suse.com/1187529
   https://bugzilla.suse.com/1192463
   https://bugzilla.suse.com/1192525
   https://bugzilla.suse.com/1196737